Engine
Date: 2015-09-10

org.atinject.tck.auto

## Class Engine

- java.lang.Object
- - org.atinject.tck.auto.Engine

- Direct Known Subclasses:
    GasEngine

      public abstract class Engine
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `overriddenPackagePrivateMethodInjectedTwice`
    `protected boolean` | `overriddenTwiceWithOmissionInMiddleInjected`
    `protected boolean` | `overriddenTwiceWithOmissionInSubclassInjected`
    `protected boolean` | `publicNoArgsConstructorInjected`
    `boolean` | `qualifiersInheritedFromOverriddenMethod`
    `protected Seat` | `seatA`
    `protected Seat` | `seatB`
    `protected boolean` | `subPackagePrivateMethodForOverrideInjected`
    `protected boolean` | `subPackagePrivateMethodInjected`
    `protected boolean` | `superPackagePrivateMethodForOverrideInjected`
    `protected boolean` | `superPackagePrivateMethodInjected`
    `protected Tire` | `tireA`
    `protected Tire` | `tireB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Engine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectQualifiers(Seat seatA, Seat seatB, Tire tireA, Tire tireB)`
    `void` | `injectTwiceOverriddenWithOmissionInMiddle()`
    `void` | `injectTwiceOverriddenWithOmissionInSubclass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### publicNoArgsConstructorInjected

          protected boolean publicNoArgsConstructorInjected

    - #### subPackagePrivateMethodInjected

          protected boolean subPackagePrivateMethodInjected

    - #### superPackagePrivateMethodInjected

          protected boolean superPackagePrivateMethodInjected

    - #### subPackagePrivateMethodForOverrideInjected

          protected boolean subPackagePrivateMethodForOverrideInjected

    - #### superPackagePrivateMethodForOverrideInjected

          protected boolean superPackagePrivateMethodForOverrideInjected

    - #### overriddenTwiceWithOmissionInMiddleInjected

          protected boolean overriddenTwiceWithOmissionInMiddleInjected

    - #### overriddenTwiceWithOmissionInSubclassInjected

          protected boolean overriddenTwiceWithOmissionInSubclassInjected

    - #### seatA

          protected Seat seatA

    - #### seatB

          protected Seat seatB

    - #### tireA

          protected Tire tireA

    - #### tireB

          protected Tire tireB

    - #### overriddenPackagePrivateMethodInjectedTwice

          public boolean overriddenPackagePrivateMethodInjectedTwice

    - #### qualifiersInheritedFromOverriddenMethod

          public boolean qualifiersInheritedFromOverriddenMethod

  - ### Constructor Detail

    - #### Engine

          public Engine()

  - ### Method Detail

    - #### injectQualifiers

          @Inject
          public void injectQualifiers(Seat seatA,
                                     Seat seatB,
                                     @Named(value="spare")
                                     Tire tireA,
                                     Tire tireB)

    - #### injectTwiceOverriddenWithOmissionInMiddle

          @Inject
          public void injectTwiceOverriddenWithOmissionInMiddle()

    - #### injectTwiceOverriddenWithOmissionInSubclass

          @Inject
          public void injectTwiceOverriddenWithOmissionInSubclass()